%global momorel 2
%global swigver 1.3.35
%global svndate 20081004

%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Multi-platform PIM synchronization framework
Name: libopensync
Version: 0.38
Release: 0.%{svndate}.%{momorel}m%{?dist}
License: LGPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
#Source0: http://opensync.org/download/releases/%%{version}/%%{name}-%%{version}.tar.bz2
#NoSource: 0
Source0: %{name}-%{version}-svn%{svndate}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: bison-devel
BuildRequires: cmake >= 2.6.2
BuildRequires: glib2-devel
BuildRequires: libxml2-devel
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: sqlite-devel
BuildRequires: swig = %{swigver}
Obsoletes: libopensync-plugin-sunbird

%description
OpenSync is a synchronization framework that is platform and distribution
independent.  It consists of several plugins that can be used to connect to
devices, a powerful sync-engine and the framework itself.  The synchronization
framework is kept very flexible and is capable of synchronizing any type of
data, including contacts, calendar, tasks, notes and files.

%package devel
Summary: Header files and static libraries from libopensync
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on libopensync.

%package python
Summary: Python binding for libopensync
Group: Development/Libraries

%description python
Python bindings for libopensync

%prep
%setup -q -n %{name}-%{version}-svn%{svndate}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DOPENSYNC_LIBEXEC_DIR=%{_libexecdir} \
	-DCMAKE_SKIP_RPATH=YES \
	-DSWIG_DIR=%{_datadir}/swig/%{swigver}/ \
	-DOPENSYNC_INCLUDE_DIR=%{_includedir}/opensync-1.0 \
	-DOPENSYNC_PLUGINDIR=%{_libdir}/opensync-1.0/plugins \
	-DOPENSYNC_PYTHON_PLUGINDIR=%{_libdir}/opensync-1.0/python-plugins \
	-DOPENSYNC_DATA_DIR=%{_datadir}/opensync-1.0 \
	-DOPENSYNC_CONFIGDIR=%{_datadir}/opensync-1.0/defaults \
	-DOPENSYNC_DESCRIPTIONSDIR=%{_datadir}/opensync-1.0/descriptions \
	-DOPENSYNC_FORMATSDIR=%{_datadir}/opensync-1.0/formats \
	-DOPENSYNC_SCHEMASDIR=%{_datadir}/opensync-1.0/schemas \
	-DOPENSYNC_UPDATESDIR=%{_datadir}/opensync-1.0/updates \
	-DOPENSYNC_CAPABILITIESDIR=%{_datadir}/opensync-1.0/capabilities \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# directories for plugins
mkdir -p %{buildroot}%{_libdir}/opensync-1.0/plugins
mkdir -p %{buildroot}%{_libdir}/opensync-1.0/python-plugins
mkdir -p %{buildroot}%{_datadir}/opensync-1.0/defaults

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/osyncbinary
%{_bindir}/osyncdump
%{_bindir}/osyncplugin
%{_libdir}/opensync-1.0
%{_libdir}/libopensync.so.*
%{_libexecdir}/osplugin
%{_datadir}/opensync-1.0

%files devel
%defattr(-,root,root)
%doc CODING
%{_includedir}/opensync-1.0
%{_libdir}/pkgconfig/libopensync.pc
%{_libdir}/libopensync.so

%files python
%defattr(-,root,root)
%{python_sitelib}/_opensync.so
%{python_sitelib}/opensync.py

%changelog
* Thu Mar  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.38-0.20081004.2m)
- remove Obsoletes: multisync-gui

* Sat Oct  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-0.20081004.1m)
- update 0.38 svn snapshot (20081004)

* Thu Jun  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.36-3m)
- rebuild against swig-1.3.35

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.36-2m)
- rebuild against gcc43

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.36-1m)
- version 0.36
- change License to LGPL
- remove python-lib-check-lib64.patch

* Sun May 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-3m)
- add a directory for plugins again

* Sun May 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-2m)
- add a directory for plugins

* Sun May 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for kdepim-3.5.7
- import libopensync-python-lib-check-lib64.patch from cooker
- Summary and %%description are imported from cooker
